summaryrefslogtreecommitdiff
path: root/tests/misc/close-stdout
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-10-26 11:03:30 +0200
committerJim Meyering <jim@meyering.net>2006-10-26 11:03:30 +0200
commitb40b5b6917f62f59eff8f8bd913bd79e4cebe8f2 (patch)
tree8581923bfe75824980ae361df11e0a5bdcb3984c /tests/misc/close-stdout
parent95954ad5832e2dcc5709401643e615612281fc88 (diff)
downloadcoreutils-b40b5b6917f62f59eff8f8bd913bd79e4cebe8f2.tar.xz
Avoid a shell bug in Tru64 4.0 sh's handling of double-quoted strings.
[patch by Paul Eggert] * tests/chmod/c-option: When double-quoting part of a word, prefer to double-quote the whole word. This is a bit easier to read (at least for me), and in some cases it avoids a shell bug with Tru64 4.0 sh reported by Nelson H. F. Beebe. For example, instead of "$abs_srcdir"/../setgid-check we now write "$abs_srcdir/../setgid-check". * tests/cp/cp-parents: Likewise. * tests/du/inaccessible-cwd: Likewise. * tests/du/long-from-unreadable: Likewise. * tests/install/basic-1: Likewise. * tests/install/trap: Likewise. * tests/misc/close-stdout: Likewise. * tests/mkdir/concurrent-1: Likewise. * tests/mkdir/p-1: Likewise. * tests/mkdir/p-3: Likewise. * tests/mkdir/parents: Likewise. * tests/mkdir/perm: Likewise. * tests/readlink/can-e: Likewise. * tests/readlink/can-f: Likewise. * tests/readlink/can-m: Likewise. * tests/rm/inaccessible: Likewise. * tests/rm/unread3: Likewise. * tests/touch/no-create-missing: Likewise. * lib/.cvsignore: Add uinttostr.c.
Diffstat (limited to 'tests/misc/close-stdout')
-rwxr-xr-xtests/misc/close-stdout12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/misc/close-stdout b/tests/misc/close-stdout
index 01edf32c4..dd8bbc5e1 100755
--- a/tests/misc/close-stdout
+++ b/tests/misc/close-stdout
@@ -56,21 +56,21 @@ mv d e >&- || fail=1
rmdir e >&- || fail=1
touch e >&- || fail=1
sleep 0 >&- || fail=1
-"$pwd"/../../src/true >&- || fail=1
-"$pwd"/../../src/printf '' >&- || fail=1
+"$pwd/../../src/true" >&- || fail=1
+"$pwd/../../src/printf" '' >&- || fail=1
# If >&- works, ensure these fail, because stdout is closed and they
# *do* generate output. >&- apparently does not work in HP-UX 11.23.
# This test is ineffective unless /dev/stdout also works.
-if "$pwd"/../../src/test -w /dev/stdout >/dev/null &&
- "$pwd"/../../src/test ! -w /dev/stdout >&-; then
- "$pwd"/../../src/printf 'foo' >&- 2>/dev/null && fail=1
+if "$pwd/../../src/test" -w /dev/stdout >/dev/null &&
+ "$pwd/../../src/test" ! -w /dev/stdout >&-; then
+ "$pwd/../../src/printf" 'foo' >&- 2>/dev/null && fail=1
cp --verbose a b >&- 2>/dev/null && fail=1
fi
# Likewise for /dev/full, if /dev/full works.
if test -w /dev/full && test -c /dev/full; then
- "$pwd"/../../src/printf 'foo' >/dev/full 2>/dev/null && fail=1
+ "$pwd/../../src/printf" 'foo' >/dev/full 2>/dev/null && fail=1
cp --verbose a b >/dev/full 2>/dev/null && fail=1
fi